%define oname	muParser

%define major	2
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

Summary:	A fast math parser library
Name:		muparser
Version:	2.2.5
Release:	%mkrel 2
Epoch:          1
License:	MIT
Group: 		System/Libraries
URL:		http://muparser.beltoforion.de/
Source0:	https://github.com/beltoforion/muparser/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		muParser-1.30-gcc43.patch

%description
muParser is an extensible high performance math parser library. It is
based on transforming an expression into a bytecode and precalculating
constant parts of it.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains library files of muParser.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{oname}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{oname}-devel < 2.2.3

%description -n %{devname}
This package contains development files need to develop applications
based on muParser.

%prep
%setup -q
%autopatch -p0

%build
%configure2_5x \
	--enable-shared=yes
make

%install
%makeinstall_std

%files -n %{libname}
%doc Changes.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
#doc docs/html
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1:2.2.5-2.mga6
+ Revision: 956190
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 wally <wally> 1:2.2.5-1.mga6
+ Revision: 868273
- new version 2.2.5
- use source tarball from github

* Wed Oct 15 2014 umeabot <umeabot> 1:2.2.3-5.mga5
+ Revision: 746703
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:2.2.3-4.mga5
+ Revision: 727374
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:2.2.3-3.mga5
+ Revision: 682699
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 wally <wally> 1:2.2.3-2.mga5
+ Revision: 634202
- obsolete wrongly imported muParser-devel

* Fri Jun 06 2014 wally <wally> 1:2.2.3-1.mga5
+ Revision: 634194
- new version 2.2.3
- new lib major 2
- update URL
- clean .spec

* Fri Oct 18 2013 umeabot <umeabot> 1:1.32-4.mga4
+ Revision: 518071
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:1.32-3.mga3
+ Revision: 360506
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 16 2012 mikala <mikala> 1:1.32-2.mga2
+ Revision: 235751
- Fix Requires on -devel package

* Tue May 15 2012 dmorgan <dmorgan> 1:1.32-1.mga2
+ Revision: 235724
- Downgrade to version 1.32:
 - 1.34 broke scidavis & qtiplot  ( mga #1251, & upstream #3298663)
 - only used with thoses 2 programs so it's easier to downgrade since mdv2010.1 is providing 1.32 too

* Fri Sep 09 2011 tv <tv> 1.34-1.mga2
+ Revision: 141795
- new release

* Thu May 12 2011 mikala <mikala> 1.32-3.mga1
+ Revision: 97557
- Downgrade to version 1.32:
 - 1.34 broke scidavis & qtiplot  ( mga #1251, & upstream #3298663)
 - only used with thoses 2 programs so it's easier to downgrade since mdv2010.1 is providing 1.32 too

* Mon May 02 2011 mikala <mikala> 1.34-2.mga1
+ Revision: 94220
- Remove BuildRoot tag
- remove mdk macros
- imported package muparser


* Wed Mar 09 2011 Stéphane Téletchéa <steletch@mandriva.org> 1.34-1mdv2011.0
+ Revision: 643140
- update to new version 1.34

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.32-2mdv2011.0
+ Revision: 612968
- the mass rebuild of 2010.1 packages

* Thu Feb 11 2010 Funda Wang <fwang@mandriva.org> 1.32-1mdv2010.1
+ Revision: 504221
- New version 1.32

* Mon Dec 28 2009 Ahmad Samir <ahmadsamir@mandriva.org> 1.30-1mdv2010.1
+ Revision: 483014
- update to 1.30
- rediff patch1

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.28-6mdv2010.0
+ Revision: 430130
- rebuild

* Wed Jul 30 2008 Funda Wang <fwang@mandriva.org> 1.28-5mdv2009.0
+ Revision: 254737
- add gentoo patches

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Funda Wang <fwang@mandriva.org> 1.28-3mdv2008.1
+ Revision: 97256
- add ldconfig

* Fri Oct 12 2007 Funda Wang <fwang@mandriva.org> 1.28-2mdv2008.1
+ Revision: 97255
- add docs
- Import muparser
- Created package structure for muparser.

